Package com.sas.lsaf.content.repository

## Class RepositorySearchResults

- java.lang.Object
- - com.sas.lsaf.content.repository.RepositorySearchResults

- All Implemented Interfaces:
    `java.io.Serializable`

      public class RepositorySearchResults
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents the results of a repository search based on a search query. The `RepositoryItem`s satisfy the search query specified in `RepositoryService.search(SearchQuery)`. However, items in the recycle bin and items for which the current user does not have read access are not returned. If the server cannot process all of the items due to server limitations, the `limitReached` is set to True. If true, more items might exist that satisfy the query but they cannot be returned.
  Since:
    2.1
  See Also:
    `RepositoryService.search(SearchQuery)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RepositorySearchResults​(java.util.Set<RepositoryItem> searchResults, boolean limitReached)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.util.Set<RepositoryItem>` | `getSearchResults()` | Gets search results based on the `SearchQuery` specified in to `RepositoryService.search(SearchQuery)`.
    `int` | `hashCode()` |
    `boolean` | `isLimitReached()` | Indicates whether the server processed all of the repository items based as a result of the query.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositorySearchResults

          public RepositorySearchResults​(java.util.Set<RepositoryItem> searchResults,
                                         boolean limitReached)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the user descriptors returned by the API.
      Parameters:
        `searchResults` - The results of a repository search.
        `limitReached` - Indicates whether the query results exceed the maximum number of items allowed on the server.

  - ### Method Detail

    - #### getSearchResults

          public java.util.Set<RepositoryItem> getSearchResults()

      Gets search results based on the `SearchQuery` specified in to `RepositoryService.search(SearchQuery)`.
      Returns:
        The repository items that match the query.

    - #### isLimitReached

          public boolean isLimitReached()

      Indicates whether the server processed all of the repository items based as a result of the query. If True, this means that the query results returned are what the search processed before it had to terminate processing. Therefore, more items might exist that satisfy the query but they cannot be returned.
      Returns:
        True, if the server can process all of the items based on the query, False otherwise.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`